Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000371ScribusUsabilitypublic2004-03-28 22:402005-07-24 15:58
Reportermalex 
Assigned Tosubik 
PrioritynormalSeverityfeatureReproducibilityalways
StatusassignedResolutionopen 
PlatformallOSLinuxOS Versionall
Product Version1.3.0cvs 
Target VersionFixed in Version 
Summary0000371: Edit>Preferences>Fonts... improvements
DescriptionMaybe the feature could be extended to do some more useful things. I think about actions like "show only serifs" or "create project font set" (for reuse in other projects) or "load font set from file", "group by project". This feature could also be applied to the font preview, since having more than 50 fonts on your machine doesn't make preview/selection that easy.

(Fixed original bug: Column headers are clickable in that window, but there is no sorting action performed when a click is made. The only sorting that is present is by Font Name and impossible to change. This is counter to the user expectations and is a nuisance for large font lists as it would be useful to sort fonts by their type, usage, and so on.)
Additional Information2005/07/24 bug fixed - it's standard RFE from now
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0004273)
plinnell (administrator)
2005-04-16 15:38

bumping to 1.3
(0005651)
christoph_s (administrator)
2005-07-21 00:55

Maybe the feature could be extended to do some more useful things. I think about actions like "show only serifs" or "create project font set" (for reuse in other projects) or "load font set from file", "group by project". This feature could also be applied to the font preview, since having more than 50 fonts on your machine doesn't make preview/selection that easy.

- Issue History
Date Modified Username Field Change
2004-03-28 22:40 malex New Issue
2004-03-28 22:42 cbradney Product Version => 1.1.6
2004-03-31 00:09 fschmid Note Added: 0000843
2004-03-31 00:09 fschmid Note Deleted: 0000843
2004-04-07 16:43 cbradney Category General => User Interface
2005-04-16 15:38 plinnell Note Added: 0004273
2005-04-16 15:38 plinnell Product Version 1.1.6 => 1.3.0cvs
2005-07-21 00:55 christoph_s Note Added: 0005651
2005-07-22 07:49 subik Status new => assigned
2005-07-22 07:49 subik Assigned To => subik
2005-07-24 15:58 subik Category User Interface => Usability
2005-07-24 15:58 subik Summary Edit>Preferences>Fonts...>Available Fonts needs column sorting => Edit>Preferences>Fonts... improvements
2005-07-24 15:58 subik Description Updated
2005-07-24 15:58 subik Additional Information Updated



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker